/*
 *  $Id: type_ub.c,v 1.5 1994/07/13 15:52:57 lusk Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      See COPYRIGHT in top-level directory.
 */

#ifndef lint
static char vcid[] = "$Id: type_ub.c,v 1.5 1994/07/13 15:52:57 lusk Exp $";
#endif /* lint */

#include "mpiimpl.h"
#include "mpisys.h"


/*@
    MPI_Type_ub - Returns the upper bound of a datatype

Input Parameters:
. datatype - datatype (handle) 

Output Parameter:
. displacement - displacement of upper bound from origin, 
                             in bytes (integer) 
@*/
int MPI_Type_ub ( datatype, displacement )
MPI_Datatype  datatype;
MPI_Aint      *displacement;
{
  int errno;
  if (MPIR_TEST_DATATYPE(MPI_COMM_WORLD,datatype) || 
      MPIR_TEST_ARG(displacement))
	return MPIR_ERROR( MPI_COMM_WORLD, errno, "Error in MPI_TYPE_UB" );

  /* Assign the ub and return */
  (*displacement) = datatype->ub;
  return (MPI_SUCCESS);
}
